Zum Inhalt springen
meniodevelopermenio DashboardVorschau

GET · Checkout API

GET

Checkout API Check-ins
GET/api/v1/check-ins{?tray_id}

Retrieves a check-in.

Parameter

tray_idstringErforderlich

The unique identifier of the tray to look up.

Request-Header

Content-Type
application/json; charset=utf-8
Authorization
Token <accessToken>
Originaler Blueprint-Ausschnitt
API Blueprint
### GET [GET /api/v1/check-ins{?tray_id}]

Retrieves a check-in.

+ Parameters
    + tray_id (string, required) - The unique identifier of the tray to look up.

+ Request (application/json; charset=utf-8)

    + Headers

            Authorization: Token <accessToken>

+ Response 200 (application/json; charset=utf-8)

    + Attributes
        + id: 89644 (number, required) - The unique identifier of the check-in.
        + profile (object) - The entity used to represent a user or card.
            + token: `BRBZU5RRXEVXGKHLBZR6` (string) - An unique token identifier of the profile. 
            + language: `en-US` (string) - The language preference.

    + Body

            {
                "id": 89644,
                "profile": {
                    "token": "BRBZU5RRXEVXGKHLBZR6",
                    "language": "en-US"
                }
            }
            
    + Schema

            {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "number"
                    },
                    "profile": {
                        "type": "object",
                        "properties": {
                            "token": {
                                "type": "string"
                            },
                            "language": {
                                "type": "string"
                            }
                        }
                    }
                }
            }